#
# spec file for package stalonetray
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           stalonetray
Version:        0.8.5
Release:        1.4
Summary:        Stand-alone freedesktop.org system tray
License:        GPL-2.0-or-later
Group:          System/GUI/Other
URL:            https://kolbusa.github.io/stalonetray/
Source:         https://github.com/kolbusa/stalonetray/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE fix-docbook-root.patch -- Fix docbook stylesheet root
Patch0:         fix-docbook-root.patch
BuildRequires:  automake
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)

%description
Stalonetray is a stand-alone freedesktop.org and KDE system tray (notification
area) for X Window System/X11 (e.g. X.Org or XFree 86). It has full XEMBED
support and minimal dependencies: an X11 lib only. Stalonetray works with
virtually any EWMH-compliant window manager.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build stalonetrayrc.sample

%install
%make_install

%files
%license COPYING
%doc AUTHORS BUGS stalonetrayrc.sample
%{_bindir}/stalonetray
%{_mandir}/man1/stalonetray.1%{?ext_man}

%changelog
* Fri Jun 23 2023 Petr Cervinka <petr@cervinka.net>
- Update to version 0.8.5
  * Documentation fixes
  * Build system fixes
- Update fix-docbook-root.patch
* Wed May 12 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- New upstream URL
- Update to version 0.8.4
  * Fixed several bugs and compiler warnings
  * Added support for storing stalonetray config under $XDG_CONFIG_HOME
- Drop outdated stalonetray-fix-compile-error.diff
- Add fix-docbook-root.patch
* Mon Feb 19 2018 crrodriguez@opensuse.org
- remove xorg-x11-devel buildrequires
* Mon Jul 20 2015 petr.cervinka@gmail.com
- added configuration example and AUTHORS file to doc
* Tue Jul  7 2015 petr.cervinka@gmail.com
- spec file, added COPYING to doc
* Fri Jul  3 2015 petr.cervinka@gmail.com
- update to 0.8.3:
  * fix high CPU usage under E19 caused by support for _NET_WM_PING
  * everal fixes in command line and config file parser
  * fixed _NET_WM_STRUTS_PARTIAL support for multiple screens (kudos to Mario Pilz for a patch)
  * fixed _NET_WM_DESKTOP support (thanks to Sasha Vasko for a report)
  * added support for _NET_WM_PING
- stalonetray-fix-compile-error.diff refreshed
* Sat Nov  6 2010 pascal.bleser@opensuse.org
- update to 0.8.1:
  * fixes several bugs related to command line parsing and icon layout
  * grammar fixes and typographical corrections in the documentation
* Thu Dec 10 2009 bernhard@bwalle.de
- Fix build on openSUSE 11.2 and later by changing the return type
  of scrollbars_highlight_off() and scrollbars_highlight_on() to
  void.
- Capitalize the summary to make rpmlint happy.
* Tue Nov 24 2009 mrueckert@suse.de
- update to 0.8.0
- spec file cleanup
* Tue Apr 15 2008 bwalle@suse.de
- initial package
